Package groovy.lang

# Class Tuple1<T1>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple1<T1>

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.List`

    public final class Tuple1<T1>
    extends Tuple

Represents a list of 1 typed Object.

Since:
  2.5.0
See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Tuple1​(Tuple1<T1> tuple)` |
  `Tuple1​(T1 t1)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Tuple1<T1>` | `clone()` |
  `T1` | `getFirst()` | Deprecated.
  `T1` | `getV1()` |

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray`

- ## Constructor Details

  - ### Tuple1

    public Tuple1​(T1 t1)

  - ### Tuple1

    public Tuple1​(Tuple1<T1> tuple)

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.

  - ### getV1

    public T1 getV1()

  - ### clone

    public Tuple1<T1> clone()
    Overrides:
      `clone` in class `Tuple`